Issue #9456 has been updated by hsbt (Hiroshi SHIBATA).


We resolved the issue of license on upstream. I'm going to merge bin/racc after it was fixed some of build failures: https://github.com/ruby/ruby/pull/2186

----------------------------------------
Feature #9456: Include bin/racc with ruby
https://bugs.ruby-lang.org/issues/9456#change-78020

* Author: zzak (Zachary Scott)
* Status: Assigned
* Priority: Normal
* Assignee: hsbt (Hiroshi SHIBATA)
* Target version: 
----------------------------------------
As you [can see](https://github.com/ruby/ruby/tree/trunk/bin) we include executables for Rake, RDoc, ri, ERB, RubyGems, and Irb with Ruby.

We should also include Racc as an executable for Ruby.

This resolves an issue where libraries requiring Racc, and using the binary executable, must install the Racc gem in order to use bin/racc.

I'm fairly sure this change won't cause any issues, so I'd be happy to commit it.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>